Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Linux

Suse 9 +ATI 9200se

None
13 antwoorden
  • Rpm neergeladen, geïntstalleerd, kernel-source geïnstalleerd, fglrxconfig "gedraaid", reboot, werken? ho maar. Na veel gezweet en gezwoeg met init 3 en afwisselend sax2 en yast de zaak weer aan het werk gekrekgen maar wel terug naar af: VESA dus. Kan iemand vertellen hoe het moet?
    Alle tips van harte welkom.
  • Je moet even eerst de kernel source installeren daarna een –force instructie meegeven als je gaat installeren, vervolgens naar de directory /lib/module/fglrx/build_mod daar doe je ./make.sh vervolgens nu naar de directory /lib/module/fglrx hier doe je ./make_install.sh.
    Nu kun je fglrxconfig draaien, rebooten en hij zou het moeten doen.
  • Ik heb ook net een 9200 SE gekocht en heb hem aan de praat maar zonder tv-out in X :-(

    Ik neem aan dat je de ati-drivers hebt gedownload? Daarnaast heb je alle juiste modules geladen (fglrx,agpgart, intel_agp) en natuurlijk X opnieuw geconfigureerd met de fglrx-driver?
  • Bedankt voor de reakties. Ik heb nogmaals die fglrxconfig gedraaid, gereboot en verdraaid ik heb beeld en het is nog in kleur ook! Dat vind ik verdacht dus nu wil ik graag controleren of inderdaad die ati-drivers aan het werk zijn of gewoon ergens in een la liggen. Hoe doe ik dat? En bovendien, de start is wat zenuwachtig. Eerst flikkeren alle ikonen een heel tijdje aan en uit voordat ze tot rust komen. Ik ben al zenuwachtig genoeg van mezelf hoe kom ik daarvan af?
  • [quote:16b7a99873="LennartII"]nu wil ik graag controleren of inderdaad die ati-drivers aan het werk zijn of gewoon ergens in een la liggen. Hoe doe ik dat?[/quote:16b7a99873] Als je in een Konsole typt [code:1:16b7a99873] /sbin/lsmod [/code:1:16b7a99873] dan behoort in ieder geval module fglrx te zijn geladen. En ook zul je deze module terug vinden in [code:1:16b7a99873] /var/log/XFree86.0.log [/code:1:16b7a99873]
  • Of gewoon het programmatje glxgears draaien :wink:

    Ik heb een 9800:
    34001 frames in 5.0 seconds = 6800.200 FPS
    33971 frames in 5.0 seconds = 6794.200 FPS
    33866 frames in 5.0 seconds = 6773.200 FPS
    32509 frames in 5.0 seconds = 6501.800 FPS
  • Wederom bedankt voor de hulp! Die flgrx is inderdaad geladen en de gears draaien. Alleen zit ik nu met een scherm van 640x320 of zo, koeieletters dus. Hoe verander ik dit? Moet ik dan die hele flgrxconfig weer draaien of is daar een andere oplossing voor?
  • [quote:8aa10f3f98="LennartII"]Hoe verander ik dit? Moet ik dan die hele flgrxconfig weer draaien of is daar een andere oplossing voor?[/quote:8aa10f3f98]
    Ja, maar dat is toch maar een minuutje werk ?
  • Ja, inderdaad, ik heb het ook gedaan, maar het werkte niet. ik kwam bij dat ./make.sh gedoe een fout tegen:
    Error:
    XFree86 drm includes at /lib/modules/2.4.21-192-default/build/include/../drivers/char/drm do not fit this driver.
    This driver is designed to only work with X4.1.0 or higher.
    You can match this by getting Linux kernel 2.4.8 or higher.

    Dus ik denk dat ik daar iets aan doen moet.
    Als je suggesties hebt dan houd ik me aanbevolen!
  • Gelukt, bedankt.
  • [quote:4b954eff86="LennartII"]Gelukt, bedankt.[/quote:4b954eff86]

    Hoe heb je het nou opgelost eigenlijk, want ik zit met hetzelfde probleem :cry:
  • Hm, dat is altijd moeilijk want bij mij is het over het algemeen trial and error tot ik er ofwel uit ben of het systeem eruit ligt. Meestal is het het laatste.
    Wat ik in dit geval verkeerd gedaan had is dat ik de aanwijzingen iets te letterlijk opgevolgd had.
    Ik vond de volgende aanwijzingen:
    http://www.gmpf.de/english/

    en volgde daarbij ook de gegeven link voor de ati-drivers. Dat had ik nou niet moeten doen want die deugden niet.
    Dus ik heb daarna nog maar eens de goeie neergeladen (van ati.com) en het hele gedoe met make.sh and make_install enzo (de juiste termen weet je zelf beter dan ik) en toen kreeg ik geen foutmeldingen meer. Daarna nog een keer die flgrxconf gedraaid en daarbij de default voor agppart NIET gevolgd maar het tegenovergestelde genomen. En…… wonder boven wonder, het werkte.
    Voor de duidelijkheid (en juiste terminologie) nog een link:
    http://www.desktop-linux.net/ati.htm#ATI

    Met deze links, en de aanwijzingen van bovenstaande forumers ben ik eruit gekomen, Ik hoop dat het jou ook lukt. Succes!
  • Thnx voor de links. Ik ben alweer iets verder :)

    Hoogst waarschijnlijk wil de ati driver de kernel module niet compileren, omdat de versies van m'n gebruikte kernel (2.6.2-k7) en de kernel-sources (2.6.2) niet overeen komen. De 2.6.2-k7 sources bestaan dus niet :(
    Op die ene site geven ze aan dat je dan de version.h in includes/linux van je kernel-sources de versie moet veranderen naar je lopende kernel. Nou bij mij bestaat version.h dus niet.. grr. Misschien omdat ik 2.6.xx heb. Op die site gingen ze namelijk uit van een 2.4 kernel.

    Kan waarschijnlijk beter zelf een kernel in mekaar gaan gooien denk ik dan of heeft iemand nog andere ideetjes?

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.